from django.conf.urls import patterns, include, url
from django.conf import settings

from django.views.generic import RedirectView
from django.core.urlresolvers import reverse_lazy

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', 'panikweb.views.home', name='home'),
    url(r'^program$', 'panikweb.views.program', name='program'),
    url(r'^grid$', 'panikweb.views.grid', name='grid'),
    url(r'^emissions/', include('emissions.urls')),
    url(r'^ckeditor/', include('ckeditor.urls')),
    url(r'^get$', 'panikweb.views.get', name='get'),
    url(r'^player$', 'panikweb.views.player', name='player'),

    (r'^api/v2/', include('fiber.rest_api.urls')),
    (r'^admin/fiber/', include('fiber.admin_urls')),
    (r'^jsi18n/$', 'django.views.i18n.javascript_catalog', {'packages': ('fiber',),}),

    url(r'^admin/', include(admin.site.urls)),
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
)

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
urlpatterns += staticfiles_urlpatterns()

from django.conf.urls.static import static
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += patterns('',
    (r'', 'fiber.views.page'),
)

try:
    from local_urls import *
except ImportError, e:
    pass
